AbstractBTreePartition.SlicesIterator (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.partitions

## Class AbstractBTreePartition.SlicesIterator

- java.lang.Object
- - org.apache.cassandra.utils.AbstractIterator<Unfiltered>
  - - org.apache.cassandra.db.rows.AbstractUnfilteredRowIterator
    - - org.apache.cassandra.db.partitions.AbstractBTreePartition.SlicesIterator

- All Implemented Interfaces:
    com.google.common.collect.PeekingIterator<Unfiltered>, java.lang.AutoCloseable, java.util.Iterator<Unfiltered>, BaseRowIterator<Unfiltered>, UnfilteredRowIterator, CloseableIterator<Unfiltered>
  Enclosing class:
    AbstractBTreePartition

      public class AbstractBTreePartition.SlicesIterator
      extends AbstractUnfilteredRowIterator

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.rows.AbstractUnfilteredRowIterator

      `columns, isReverseOrder, metadata, partitionKey, partitionLevelDeletion, staticRow, stats`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Unfiltered` | `computeNext()`

    - ### Methods inherited from class org.apache.cassandra.db.rows.AbstractUnfilteredRowIterator

      `close, columns, isReverseOrder, metadata, partitionKey, partitionLevelDeletion, staticRow, stats`

    - ### Methods inherited from class org.apache.cassandra.utils.AbstractIterator

      `endOfData, hasNext, next, peek, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.rows.UnfilteredRowIterator

      `isEmpty`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Method Detail

    - #### computeNext

          protected Unfiltered computeNext()

      Specified by:
        `computeNext` in class `AbstractIterator<Unfiltered>`

Copyright © 2018 The Apache Software Foundation